CloudBees Jenkins Platform Client Master 2.32.2.7

RELEASED: Public: 2017-03-20

Based on Jenkins LTS2.32.2

Rolling release Security release

Compatible plugins

  • Amazon Web Services SDK

    1.11.37 compatible optional

  • Ant Plugin

    1.4 compatible optional

  • Async Http Client

    1.7.24.1 compatible installed by default

  • Authentication Tokens API Plugin

    1.3 compatible optional

  • Azure PublisherSettings Credentials Plugin

    1.2 compatible optional

  • Beekeeper Upgrade Assistant Plugin

    2.32.0.3 compatible installed by default

  • Bitbucket Branch Source Plugin

    1.9 compatible optional

  • Branch API Plugin

    1.11.1 compatible optional

  • CloudBees Amazon AWS CLI Plugin

    1.5.6 compatible optional

  • CloudBees Amazon Web Services Credentials Plugin

    1.16 compatible optional

  • CloudBees Amazon Web Services Deploy Engine Plugin

    1.17 compatible optional

  • CloudBees Azure CLI Plugin

    1.1 compatible optional

  • CloudBees Back-up Plugin

    3.33 compatible optional

  • CloudBees Docker Build and Publish plugin

    1.3.2 compatible optional

  • CloudBees Docker Hub/Registry Notification

    2.2.0 compatible optional

  • CloudBees Docker Traceability

    1.2 compatible optional

  • CloudBees Even Scheduler Plugin

    3.7 compatible optional

  • CloudBees Fast Archiving Plugin

    5.5 compatible optional

  • CloudBees Folders Plus Plugin

    3.0 compatible installed by default

  • CloudBees Git Validated Merge Plugin

    3.20 compatible optional

  • CloudBees GitHub Pull Requests Plugin

    1.1 compatible optional

  • CloudBees Groovy View Plugin

    1.5 compatible optional

  • CloudBees High Availability Management plugin

    4.7 compatible optional

  • CloudBees Jenkins Enterprise License Entitlement Check

    8.4 compatible installed by default

  • CloudBees Label Throttling Plugin

    3.4 compatible optional

  • CloudBees License Manager

    9.6 compatible installed by default

  • CloudBees Long-Running Build Plugin

    1.9 compatible optional

  • CloudBees Monitoring Plugin

    2.5 compatible optional

  • CloudBees Nodes Plus Plugin

    1.14 compatible optional

  • CloudBees OpenShift CLI Plugin

    1.3 compatible optional

  • CloudBees Pipeline (Deprecated)

    1.9.1 compatible optional

  • CloudBees Pipeline Stage View Extensions

    2.1 compatible optional

  • CloudBees Pipeline: Groovy Checkpoint Plugin

    2.4 compatible optional

  • CloudBees Pipeline: REST API (Deprecated)

    1.9.1 compatible optional

  • CloudBees Pipeline: Templates Plugin

    2.5 compatible optional

  • CloudBees Plugin Usage Plugin

    1.6 compatible optional

  • CloudBees Pull Request Builder for GitHub

    1.10 compatible optional

  • CloudBees Quiet Start Plugin

    1.2 compatible optional

  • CloudBees Restart Aborted Builds Plugin

    1.9 compatible optional

  • CloudBees Role-Based Access Control Plugin

    5.13 compatible installed by default

  • CloudBees SSH Build Agents Plugin

    1.7 compatible optional

  • CloudBees Secure Copy Plugin

    3.9 compatible optional

  • CloudBees Skip Next Build Plugin

    4.0 compatible optional

  • CloudBees Support Plugin

    3.8 compatible installed by default

  • CloudBees Template Plugin

    4.26 compatible optional

  • CloudBees VMWare Autoscaling Plugin

    4.3.5 compatible optional

  • CloudBees View Creation Filter Plugin

    1.3 compatible optional

  • CloudBees Wasted Minutes Tracker Plugin

    3.8 compatible optional

  • CloudBees WikiText Security Plugin

    3.7 compatible optional

  • Conditional BuildStep

    1.3.5 compatible optional

  • Copy Artifact Plugin

    1.38.1 compatible optional

  • Credentials Binding Plugin

    1.10 compatible optional

  • Credentials Plugin

    2.1.10 compatible installed by default

  • Dashboard View

    2.9.10 compatible optional

  • Deployed On Column Plugin

    1.7 compatible optional

  • Deployer Framework Plugin

    1.1 compatible optional

  • Display URL API

    1.1.1 compatible installed by default

  • Docker Commons Plugin

    1.6 compatible optional

  • Docker Pipeline

    1.10 compatible optional

  • Durable Task Plugin

    1.13 compatible optional

  • Email Extension Plugin

    2.57.1 compatible optional

  • External Monitor Job Type Plugin

    1.7 compatible optional

  • Folders Plugin

    5.13 compatible installed by default

  • Former CloudBees Amazon Web Services Credentials Plugin (no longer in use)

    1.8.4 compatible optional

  • GitHub API Plugin

    1.82 compatible optional

  • GitHub Branch Source Plugin

    1.10.1 compatible optional

  • GitHub Organization Folder Plugin

    1.5 compatible optional

  • GitHub plugin

    1.25.1 compatible optional

  • Gradle Plugin

    1.25 compatible optional

  • Icon Shim Plugin

    2.0.3 compatible installed by default

  • JUnit Plugin

    1.20 compatible installed by default

  • Jackson 2 API Plugin

    2.7.3 compatible installed by default

  • JavaScript GUI Lib: ACE Editor bundle plugin

    1.1 compatible optional

  • JavaScript GUI Lib: Handlebars bundle plugin

    1.1.1 compatible optional

  • JavaScript GUI Lib: Moment.js bundle plugin

    1.1.1 compatible optional

  • JavaScript GUI Lib: jQuery bundles (jQuery and jQuery UI) plugin

    1.2.1 compatible optional

  • Javadoc Plugin

    1.4 compatible optional

  • Jenkins Active Directory plugin

    2.3 compatible optional

  • Jenkins GIT server Plugin

    1.7 compatible optional

  • Jenkins Git client plugin

    2.2.1 compatible optional

  • Jenkins Git plugin

    3.0.1 compatible optional

  • Jenkins MSBuild Plugin

    1.26 compatible optional

  • Jenkins MSTestRunner plugin

    1.3.0 compatible optional

  • Jenkins Mailer Plugin

    1.20 compatible installed by default

  • Jenkins Mercurial plugin

    1.57 compatible optional

  • Jenkins Parameterized Trigger plugin

    2.32 compatible optional

  • Jenkins SSH Slaves plugin

    1.15 compatible optional

  • Jenkins Translation Assistance plugin

    1.15 compatible optional

  • Jenkins build timeout plugin

    1.18 compatible optional

  • Jenkins jQuery plugin

    1.11.2-0 compatible optional

  • Jenkins promoted builds plugin

    2.28.1 compatible optional

  • LDAP Plugin

    1.14 compatible optional

  • MapDB API Plugin

    1.0.9.0 compatible installed by default

  • Matrix Authorization Strategy Plugin

    1.4 compatible optional

  • Matrix Project Plugin

    1.8 compatible optional

  • Maven Integration plugin

    2.14 compatible optional

  • Metrics Plugin

    3.1.2.9 compatible installed by default

  • Monitoring

    1.63.0 compatible optional

  • Node Iterator API Plugin

    1.5.0 compatible optional

  • NodeJS Plugin

    0.2.1 compatible optional

  • OWASP Markup Formatter Plugin

    1.5 compatible optional

  • Operations Center Agent

    2.32.0.2 compatible installed by default

  • Operations Center Analytics Configuration

    2.32.0.1 compatible optional

  • Operations Center Analytics Reporter

    2.32.0.1 compatible optional

  • Operations Center Client Plugin

    2.32.0.2 compatible installed by default

  • Operations Center Cloud

    2.32.0.2 compatible optional

  • Operations Center Context

    2.32.0.10 compatible installed by default

  • Operations Center OpenID Cluster Session Extension

    1.8.110 compatible optional

  • PAM Authentication plugin

    1.3 compatible optional

  • Pipeline

    2.4 compatible optional

  • Pipeline Graph Analysis Plugin

    1.3 compatible optional

  • Pipeline: API

    2.11 compatible optional

  • Pipeline: Basic Steps

    2.4 compatible optional

  • Pipeline: Build Step

    2.4 compatible optional

  • Pipeline: Declarative Agent API

    1.0.1 compatible optional

  • Pipeline: Groovy

    2.27 compatible optional

  • Pipeline: Input Step

    2.5 compatible optional

  • Pipeline: Job

    2.10 compatible optional

  • Pipeline: Milestone Step

    1.3 compatible optional

  • Pipeline: Model API

    1.0.1 compatible optional

  • Pipeline: Model Definition

    1.0.1 compatible optional

  • Pipeline: Multibranch

    2.9.2 compatible optional

  • Pipeline: Nodes and Processes

    2.9 compatible optional

  • Pipeline: REST API Plugin

    2.5 compatible optional

  • Pipeline: SCM Step

    2.3 compatible optional

  • Pipeline: Shared Groovy Libraries

    2.6 compatible optional

  • Pipeline: Stage Step

    2.2 compatible optional

  • Pipeline: Stage Tags Metadata

    1.0.1 compatible optional

  • Pipeline: Stage View Plugin

    2.5 compatible optional

  • Pipeline: Step API

    2.9 compatible optional

  • Pipeline: Supporting APIs

    2.13 compatible optional

  • Plain Credentials Plugin

    1.3 compatible optional

  • Run Condition Plugin

    1.0 compatible optional

  • SCM API Plugin

    1.3 compatible optional

  • SSH Agent Plugin

    1.14 compatible optional

  • SSH Credentials Plugin

    1.12 compatible optional

  • Script Security Plugin

    1.25 compatible optional

  • Secure Requester Whitelist Plugin

    1.1 compatible optional

  • Stack Trace Suppression Plugin

    1.5 compatible optional

  • Structs Plugin

    1.5 compatible installed by default

  • Support Core Plugin

    2.38 compatible installed by default

  • Token Macro Plugin

    2.0 compatible installed by default

  • Unique ID Library Plugin

    2.1.3 compatible optional

  • Variant Plugin

    1.1 compatible installed by default

  • Windows Slaves Plugin

    1.2 compatible optional

  • bouncycastle API Plugin

    2.16.0 compatible installed by default

Plugin modifications